import 'package:flutter/material.dart';

class LoginMessages with ChangeNotifier {
  LoginMessages({
    this.usernameHint: defaultUsernameHint,
    this.passwordHint: defaultPasswordHint,
    this.confirmPasswordHint: defaultConfirmPasswordHint,
    this.forgotPasswordButton: defaultForgotPasswordButton,
    this.loginButton: defaultLoginButton,
    this.signupButton: defaultSignupButton,
    this.recoverPasswordButton: defaultRecoverPasswordButton,
    this.recoverPasswordIntro: defaultRecoverPasswordIntro,
    this.recoverPasswordDescription: defaultRecoverPasswordDescription,
    this.goBackButton: defaultGoBackButton,
    this.confirmPasswordError: defaultConfirmPasswordError,
    this.recoverPasswordSuccess: defaultRecoverPasswordSuccess,
  });

  static const defaultUsernameHint = 'Email';
  static const defaultPasswordHint = 'Mot de passe';
  static const defaultConfirmPasswordHint = 'Confirmez le mot de passe';
  static const defaultForgotPasswordButton = 'Mot de passe oublié ?';
  static const defaultLoginButton = 'S\'IDENTIFIER';
  static const defaultSignupButton = 'S\'INSCRIRE';
  static const defaultRecoverPasswordButton = 'RÉCUPÉRER';
  static const defaultRecoverPasswordIntro = 'Réinitialiser votre mot de passe ici';
  static const defaultRecoverPasswordDescription =
      'Nous enverrons votre liens de changement de mot de passe à ce compte de messagerie.';
  static const defaultGoBackButton = 'RETOUR';
  static const defaultConfirmPasswordError = 'Le mot de passe ne correspond pas !';
  static const defaultRecoverPasswordSuccess = 'Un e-mail a été envoyé';

  /// Hint text of the user name [TextField]
  final String usernameHint;

  /// Hint text of the password [TextField]
  final String passwordHint;

  /// Hint text of the confirm password [TextField]
  final String confirmPasswordHint;

  /// Forgot password button's label
  final String forgotPasswordButton;

  /// Login button's label
  final String loginButton;

  /// Signup button's label
  final String signupButton;

  /// Recover password button's label
  final String recoverPasswordButton;

  /// Intro in password recovery form
  final String recoverPasswordIntro;

  /// Description in password recovery form
  final String recoverPasswordDescription;

  /// Go back button's label. Go back button is used to go back to to
  /// login/signup form from the recover password form
  final String goBackButton;

  /// The error message to show when the confirm password not match with the
  /// original password
  final String confirmPasswordError;

  /// The success message to show after submitting recover password
  final String recoverPasswordSuccess;
}
